RDKit: RDKit::RGroupDecompData Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
RDKit::RGroupDecompData Struct Reference

`#include <RGroupDecompData.h>`

## Classes
class | UsedLabels

## Public Member Functions
| RGroupDecompData (const RWMol &inputCore, RGroupDecompositionParameters inputParams)
| RGroupDecompData (const std::vector< ROMOL_SPTR > &inputCores, RGroupDecompositionParameters inputParams)
void | addCore (const ROMol &inputCore)
void | prepareCores ()
void | setRlabel (Atom *atom, int rlabel)
int | getRlabel (Atom *atom) const
double | scoreFromPrunedData (const std::vector< size_t > &permutation, bool reset=true)
void | prune ()
std::vector< RGroupMatch > | GetCurrentBestPermutation () const
void | addCoreUserLabels (const RWMol &core, std::set< int > &userLabels)
void | addAtoms (RWMol &mol, const std::vector< std::pair< Atom *, Atom * > > &atomsToAdd)
bool | replaceHydrogenCoreDummy (const RGroupMatch &match, RWMol &core, const Atom &atom, const int currentLabel, const int rLabel)
void | relabelCore (RWMol &core, std::map< int, int > &mappings, UsedLabels &used_labels, const std::set< int > &indexLabels, const std::map< int, std::vector< int > > &extraAtomRLabels, const RGroupMatch *const match=nullptr)
void | relabelRGroup (RGroupData &rgroup, const std::map< int, int > &mappings)
void | relabel ()
double | score (const std::vector< size_t > &permutation, FingerprintVarianceScoreData *fingerprintVarianceScoreData=nullptr) const
RGroupDecompositionProcessResult | process (bool pruneMatches, bool finalize=false)

## Public Attributes
std::map< int, RCore > | cores
std::map< std::string, int > | newCores
int | newCoreLabel = EMPTY_CORE_LABEL
size_t | previousMatchSize = 0
bool | prunePermutations = true
RGroupDecompositionParameters | params
std::vector< std::vector< RGroupMatch > > | matches
std::set< int > | labels
std::vector< size_t > | permutation
unsigned int | pruneLength = 0U
FingerprintVarianceScoreData | prunedFingerprintVarianceScoreData
std::map< int, std::vector< int > > | userLabels
std::vector< int > | processedRlabels
std::map< int, int > | finalRlabelMapping
RGroupScorer | rGroupScorer

## Detailed Description

Definition at line 24 of file RGroupDecompData.h.

## Constructor & Destructor Documentation

## ◆ RGroupDecompData() [1/2]

RDKit::RGroupDecompData::RGroupDecompData | ( | const RWMol & | inputCore,
|  | RGroupDecompositionParameters | inputParams )

## ◆ RGroupDecompData() [2/2]

RDKit::RGroupDecompData::RGroupDecompData | ( | const std::vector< ROMOL_SPTR > & | inputCores,
|  | RGroupDecompositionParameters | inputParams )

## Member Function Documentation

## ◆ addAtoms()

void RDKit::RGroupDecompData::addAtoms | ( | RWMol & | mol,
|  | const std::vector< std::pair< Atom *, Atom * > > & | atomsToAdd )

## ◆ addCore()

void RDKit::RGroupDecompData::addCore | ( | const ROMol & | inputCore | ) |

## ◆ addCoreUserLabels()

void RDKit::RGroupDecompData::addCoreUserLabels | ( | const RWMol & | core,
|  | std::set< int > & | userLabels )

References userLabels.

## ◆ GetCurrentBestPermutation()

std::vector< RGroupMatch > RDKit::RGroupDecompData::GetCurrentBestPermutation | ( |  | ) | const

## ◆ getRlabel()

int RDKit::RGroupDecompData::getRlabel | ( | Atom * | atom | ) | const

## ◆ prepareCores()

void RDKit::RGroupDecompData::prepareCores | ( |  | ) |

## ◆ process()

RGroupDecompositionProcessResult RDKit::RGroupDecompData::process | ( | bool | pruneMatches,
|  | bool | finalize = false )

## ◆ prune()

void RDKit::RGroupDecompData::prune | ( |  | ) |

## ◆ relabel()

void RDKit::RGroupDecompData::relabel | ( |  | ) |

## ◆ relabelCore()

void RDKit::RGroupDecompData::relabelCore | ( | RWMol & | core,
|  | std::map< int, int > & | mappings,
|  | UsedLabels & | used_labels,
|  | const std::set< int > & | indexLabels,
|  | const std::map< int, std::vector< int > > & | extraAtomRLabels,
|  | const RGroupMatch *const | match = nullptr )

## ◆ relabelRGroup()

void RDKit::RGroupDecompData::relabelRGroup | ( | RGroupData & | rgroup,
|  | const std::map< int, int > & | mappings )

## ◆ replaceHydrogenCoreDummy()

bool RDKit::RGroupDecompData::replaceHydrogenCoreDummy | ( | const RGroupMatch & | match,
|  | RWMol & | core,
|  | const Atom & | atom,
|  | const int | currentLabel,
|  | const int | rLabel )

## ◆ score()

double RDKit::RGroupDecompData::score | ( | const std::vector< size_t > & | permutation,
|  | FingerprintVarianceScoreData * | fingerprintVarianceScoreData = nullptr ) const

References permutation.

## ◆ scoreFromPrunedData()

double RDKit::RGroupDecompData::scoreFromPrunedData | ( | const std::vector< size_t > & | permutation,
|  | bool | reset = true )

References permutation.

## ◆ setRlabel()

void RDKit::RGroupDecompData::setRlabel | ( | Atom * | atom,
|  | int | rlabel )

## Member Data Documentation

## ◆ cores

std::map<int, RCore> RDKit::RGroupDecompData::cores

Definition at line 26 of file RGroupDecompData.h.

## ◆ finalRlabelMapping

std::map<int, int> RDKit::RGroupDecompData::finalRlabelMapping

Definition at line 46 of file RGroupDecompData.h.

## ◆ labels

std::set<int> RDKit::RGroupDecompData::labels

Definition at line 38 of file RGroupDecompData.h.

## ◆ matches

std::vector<std::vector<RGroupMatch> > RDKit::RGroupDecompData::matches

Definition at line 37 of file RGroupDecompData.h.

## ◆ newCoreLabel

int RDKit::RGroupDecompData::newCoreLabel = EMPTY_CORE_LABEL

Definition at line 28 of file RGroupDecompData.h.

## ◆ newCores

std::map<std::string, int> RDKit::RGroupDecompData::newCores

Definition at line 27 of file RGroupDecompData.h.

## ◆ params

RGroupDecompositionParameters RDKit::RGroupDecompData::params

Definition at line 35 of file RGroupDecompData.h.

## ◆ permutation

std::vector<size_t> RDKit::RGroupDecompData::permutation

Definition at line 39 of file RGroupDecompData.h.

Referenced by score(), and scoreFromPrunedData().

## ◆ previousMatchSize

size_t RDKit::RGroupDecompData::previousMatchSize = 0

Definition at line 31 of file RGroupDecompData.h.

## ◆ processedRlabels

std::vector<int> RDKit::RGroupDecompData::processedRlabels

Definition at line 44 of file RGroupDecompData.h.

## ◆ prunedFingerprintVarianceScoreData

FingerprintVarianceScoreData RDKit::RGroupDecompData::prunedFingerprintVarianceScoreData

Definition at line 41 of file RGroupDecompData.h.

## ◆ pruneLength

unsigned int RDKit::RGroupDecompData::pruneLength = 0U

Definition at line 40 of file RGroupDecompData.h.

## ◆ prunePermutations

bool RDKit::RGroupDecompData::prunePermutations = true

Definition at line 34 of file RGroupDecompData.h.

## ◆ rGroupScorer

RGroupScorer RDKit::RGroupDecompData::rGroupScorer
| mutable

Definition at line 47 of file RGroupDecompData.h.

## ◆ userLabels

std::map<int, std::vector<int> > RDKit::RGroupDecompData::userLabels

Definition at line 42 of file RGroupDecompData.h.

Referenced by addCoreUserLabels().

The documentation for this struct was generated from the following file:

- RGroupDecompData.h